Page MenuHomePhabricator

Ensure that aggregated metrics can still be tracked after users delete their data
Closed, ResolvedPublic

Description

When we delete users data, we shouldn't retain it all corresponding to a user ID, but we do want to keep aggregate data for our metrics.

Event Timeline

Samwalton9 triaged this task as Medium priority.Apr 9 2018, 10:20 AM
Samwalton9 created this task.
Samwalton9 removed Samwalton9 as the assignee of this task.Apr 10 2018, 10:29 AM
Samwalton9 updated the task description. (Show Details)Apr 12 2018, 6:00 PM
Samwalton9 updated the task description. (Show Details)
Samwalton9 raised the priority of this task from Medium to High.Apr 12 2018, 6:04 PM
Samwalton9 renamed this task from Address use of numeric identifiers for users to Ensure that aggregated metrics can still be tracked after users delete their data.Apr 13 2018, 10:16 AM

So we want to start tracking broad metrics (i.e. total accounts distributed per partner) that are updated when required, rather than calculating those totals every time a page displaying them is loaded. This way it doesn't matter if we delete someone's data - we just don't update those numbers if we do so.

Samwalton9 closed this task as Resolved.Jul 3 2018, 4:31 PM